Skip to main content
GET
/
v1
/
indices
/
search
Search Indices
curl --request GET \
  --url https://api.aries.com/v1/indices/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/indices/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/indices/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "indices": [ { "indexName": "S&P 500", "symbol": "SP500", "indexGroup": "IND_SPF", "valoren": "998434", "currency": "USD" }, { "indexName": "NEXT FUNDS S&P 500 Semiconductors & Semiconductor Equipment (Industry Group) 35% Capped Index Exchan", "symbol": "346A-JP.IV", "indexGroup": "IND_GIF", "valoren": "0", "currency": "USD" } ] }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

indexName
string
required

Full or partial index name to search for. Case-insensitive substring match against the index display name (e.g. S&P 500, Dow, NASDAQ). Returns matching indices with their symbol, indexGroup, and currency.

Example:

"S&P 500"

Response

Successful response

indices
object[]

Array of matching indices